Runtime

## org.eclipse.gmf.runtime.notation.datatype
Class RelativeBendpoint

    java.lang.Object
      org.eclipse.gmf.runtime.notation.datatype.RelativeBendpoint

public class RelativeBendpoint
extends java.lang.Object

An implementation of the model object 'Relative Bendpoint'.

A type of bendpoints representing a collection of points with relative distances along the x- and y-axis to the source and target views of an edge

The following features are implemented:

- `Source X`
- `Source Y`
- `Target X`
- `Target Y`

** Generated **

Field Summary
`protected static int` `SOURCE_X_EDEFAULT` The default value of the '`Source X`' attribute
`protected static int` `SOURCE_Y_EDEFAULT` The default value of the '`Source Y`' attribute
`protected int` `sourceX` The cached value of the '`Source X`' attribute
`protected int` `sourceY` The cached value of the '`Source Y`' attribute
`protected static int` `TARGET_X_EDEFAULT` The default value of the '`Target X`' attribute
`protected static int` `TARGET_Y_EDEFAULT` The default value of the '`Target Y`' attribute
`protected int` `targetX` The cached value of the '`Target X`' attribute
`protected int` `targetY` The cached value of the '`Target Y`' attribute

Constructor Summary
`RelativeBendpoint()`
`RelativeBendpoint(int sourceX, int sourceY, int targetX, int targetY)`
`RelativeBendpoint(java.lang.String string)`

Method Summary
`java.lang.String` `convertToString()`
`int` `getSourceX()` Returns the x-distance from the bendpoint to the attach point with the source view
`int` `getSourceY()` Returns the y-distance from the bendpoint to the attach point with the source view
`int` `getTargetX()` Returns the x-distance from the bendpoint to the attach point with the target view
`int` `getTargetY()` Returns the y-distance from the bendpoint to the attach point with the target view
`protected void` `setSourceX(int newSourceX)` Sets the x-distance from the bendpoint to the attach point with the source view
`protected void` `setSourceY(int newSourceY)` Sets the y-distance from the bendpoint to the attach point with the source view
`protected void` `setTargetX(int newTargetX)` Sets the x-distance from the bendpoint to the attach point with the target view
`protected void` `setTargetY(int newTargetY)` Sets the y-distance from the bendpoint to the attach point with the target view
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SOURCE_X_EDEFAULT

    protected static final int SOURCE_X_EDEFAULT

  The default value of the '`Source X`' attribute.

  See Also:
    `RelativeBendpoint.getSourceX()`, Constant Field Values
  ** Generated **
  Ordered:

### sourceX

    protected int sourceX

  The cached value of the '`Source X`' attribute.

  See Also:
    `RelativeBendpoint.getSourceX()`
  ** Generated **
  Ordered:

### SOURCE_Y_EDEFAULT

    protected static final int SOURCE_Y_EDEFAULT

  The default value of the '`Source Y`' attribute.

  See Also:
    `RelativeBendpoint.getSourceY()`, Constant Field Values
  ** Generated **
  Ordered:

### sourceY

    protected int sourceY

  The cached value of the '`Source Y`' attribute.

  See Also:
    `RelativeBendpoint.getSourceY()`
  ** Generated **
  Ordered:

### TARGET_X_EDEFAULT

    protected static final int TARGET_X_EDEFAULT

  The default value of the '`Target X`' attribute.

  See Also:
    `RelativeBendpoint.getTargetX()`, Constant Field Values
  ** Generated **
  Ordered:

### targetX

    protected int targetX

  The cached value of the '`Target X`' attribute.

  See Also:
    `RelativeBendpoint.getTargetX()`
  ** Generated **
  Ordered:

### TARGET_Y_EDEFAULT

    protected static final int TARGET_Y_EDEFAULT

  The default value of the '`Target Y`' attribute.

  See Also:
    `RelativeBendpoint.getTargetY()`, Constant Field Values
  ** Generated **
  Ordered:

### targetY

    protected int targetY

  The cached value of the '`Target Y`' attribute.

  See Also:
    `RelativeBendpoint.getTargetY()`
  ** Generated **
  Ordered:

Constructor Detail

### RelativeBendpoint

    public RelativeBendpoint(java.lang.String string)

** Generated **

### RelativeBendpoint

    public RelativeBendpoint()

** Generated **

### RelativeBendpoint

    public RelativeBendpoint(int sourceX,
                             int sourceY,
                             int targetX,
                             int targetY)

** Generated **

Method Detail

### getSourceX

    public int getSourceX()

  Returns the x-distance from the bendpoint to the attach point with the source view

  ** Generated **

### setSourceX

    protected void setSourceX(int newSourceX)

  Sets the x-distance from the bendpoint to the attach point with the source view

  ** Generated **

### getSourceY

    public int getSourceY()

  Returns the y-distance from the bendpoint to the attach point with the source view

  ** Generated **

### setSourceY

    protected void setSourceY(int newSourceY)

  Sets the y-distance from the bendpoint to the attach point with the source view

  ** Generated **

### getTargetX

    public int getTargetX()

  Returns the x-distance from the bendpoint to the attach point with the target view

  ** Generated **

### setTargetX

    protected void setTargetX(int newTargetX)

  Sets the x-distance from the bendpoint to the attach point with the target view

  ** Generated **

### getTargetY

    public int getTargetY()

  Returns the y-distance from the bendpoint to the attach point with the target view

  ** Generated **

### setTargetY

    protected void setTargetY(int newTargetY)

  Sets the y-distance from the bendpoint to the attach point with the target view

  ** Generated **

### toString

    public java.lang.String toString()

  ** Generated **

### convertToString

    public java.lang.String convertToString()

  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.